#!/bin/bash
# check if AIR is installed
if [ ! -e "/opt/Adobe AIR/Versions/1.0/libCore.so" ]; then
	xterm -e './install.sh'
	# xterm doesn't return the exit code of the script we ran, so instead
	# simply check if AIR is installed now
	if [ ! -e "/opt/Adobe AIR/Versions/1.0/libCore.so" ]; then
		exit 1
	fi
fi

export LD_LIBRARY_PATH="./lib32${LD_LIBRARY_PATH+:$LD_LIBRARY_PATH}"
./bin/Anodyne
